Upstream-Status: Pending
From ceb0aceb6d774101a38d4d9916d0fdf2ef8507e4 Mon Sep 17 00:00:00 2001
From: Dylan Yip <dylan.yip@xilinx.com>
Date: Thu, 6 Jan 2022 07:46:24 -0800
Subject: [PATCH 045/295] clk: xilinx: vcu: Populate children node

To maintain backwards compatibility with Xilinx DTG, populate the
children node. These children nodes are used by the out of tree allegro
modules.

Signed-off-by: Dylan Yip <dylan.yip@xilinx.com>
Signed-off-by: Rohit Visavalia <rohit.visavalia@xilinx.com>
Reviewed-by: Radhey Shyam Pandey <radhey.shyam.pandey@xilinx.com>
State: pending
---
 drivers/clk/xilinx/xlnx_vcu.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/drivers/clk/xilinx/xlnx_vcu.c b/drivers/clk/xilinx/xlnx_vcu.c
index f065a2d367f7..cdffcb4a90b9 100644
--- a/drivers/clk/xilinx/xlnx_vcu.c
+++ b/drivers/clk/xilinx/xlnx_vcu.c
@@ -755,6 +755,12 @@ static int xvcu_probe(struct platform_device *pdev)
 
 	dev_set_drvdata(&pdev->dev, xvcu);
 
+	ret = devm_of_platform_populate(&pdev->dev);
+	if (ret) {
+		dev_err(&pdev->dev, "Failed to register allegro codecs\n");
+		goto error_clk_provider;
+	}
+
 	return 0;
 
 error_clk_provider:
-- 
2.34.1

